@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

@import url('https://fonts.googleapis.com/css2?family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');

html, body {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
}

.language {
    top: 10px;
    right: 20px;
    font-size: 20px;
    position: absolute;
}

p {
    font-family: "PT Serif", serif;
    max-width: 700px;
    width: 94%;
    margin: 35px auto;
    line-height: 1.6;
    font-size: 19px;
    -webkit-font-smoothing: antialiased;
    color: rgba(0, 0, 0, 0.8);
}

.info {
    background-color: #EEE;
    padding: 16px 24px;
    width: 94%;
    max-width: 700px;
    margin: 0 auto;
    margin-top: 30px;
    border-radius: 16px;
    box-sizing: border-box;
}

.info p {
    font-family: Arial, Arial, Helvetica, sans-serif;
    font-size: 18px;
    margin: 0;
    padding: 0;
    line-height: 2;
}

ul {
    font-family: "PT Serif", serif;
    max-width: 700px;
    width: 94%;
    margin: 35px auto;
    margin-top: -35px;
    line-height: 1.6;
    font-size: 19px;
    -webkit-font-smoothing: antialiased;
    color: rgba(0, 0, 0, 0.8);
    list-style: none;
    box-sizing: border-box;
}

li {
    position: relative;
}

li::before {
    content: "•";
    position: absolute;
    left: -0.8em;
}

h1 {
    color: #111;
    margin: 0 auto;
    line-height: 1.2;
    font-family: "Open Sans", sans-serif;
    font-weight: black;
    font-size: 42px;
}

h2 {
    color: #111;
    max-width: 700px;
    width: 95%;
    margin: 0 auto;
    margin-top: 80px;
    margin-bottom: -20px;
    text-align: left;
    line-height: 1.5;
    font-weight: black;
    font-size: 22px;
    font-family: "Open Sans";
}

img {
    margin: 80px auto;
    max-width: 1200px;
    margin: 0 auto;
    display: block;
    width: 94%;
}

img.large {
    max-width: 1500px !important;
    width: 94%;
}

img.full {
    max-width: 2000px !important;
    width: 100%;
}

.title-wrapper {
    margin-top: 30px;
    width: 100%;
    overflow: hidden;
}

img.title {
    display: block;
    height: 95%;
    max-height: 650px;
    width: auto;
}

.download-buttons {
    margin-top: 40px;
    text-align: center;
    margin-bottom: 80px;
}

.author-photo {
    width: 94%;
    max-width: 300px;
    border-radius: 24px;
    margin-bottom: 50px;
}

.story-title {
    font-family: "Times New Roman", serif;
    max-width: 700px;
    width: 94%;
    margin: 35px auto;
    line-height: 1.58;
    font-size: 21px;
    text-align: center;
}

.story-title .author {
    font-size: 18px;
    -webkit-font-smoothing: antialiased;
    color: rgba(0, 0, 0, 0.8);
}

.story-title p {
    margin: 0;
    max-width: 100%;
    width: 100%;
}

.keyboard-button {
    position: relative;
    padding: 0;
    width: 300px;
    height: 80px;
    border: 4px solid #888888;
    outline: none;
    background-color: #f4f5f6;
    border-radius: 30px;
    box-shadow: -6px -20px 35px #ffffff, -6px -10px 15px #ffffff, -20px 0px 30px #ffffff, 6px 20px 25px rgba(0, 0, 0, 0.2);
    transition: 0.13s ease-in-out;
    cursor: pointer;
    box-sizing: border-box;
    margin-right: 30px;
}

.keyboard-button:active {
    box-shadow: none;
}

.keyboard-button:active .keyboard-button__content {
    box-shadow: none;
}

.keyboard-button:active .keyboard-button__content .keyboard-button__text {
    transform: translate3d(0px, -4px, 0px);
}

.keyboard-button__content {
    position: relative;
    display: grid;
    padding: 20px;
    width: 100%;
    height: 100%;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    box-shadow: inset 0px -8px 0px #dddddd, 0px -8px 0px #f4f5f6;
    border-radius: 28px;
    transition: 0.13s ease-in-out;
    z-index: 1;
    box-sizing: border-box;
}

.keyboard-button__text {
    position: relative;
    transform: translate3d(0px, -10px, 0px);
    margin: 0;
    align-self: end;
    grid-column: 1/5;
    grid-row: 2;
    text-align: center;
    font-size: 28px;
    background-color: #888888;
    color: transparent;
    text-shadow: 2px 2px 3px rgba(255, 255, 255, 0.5);
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    transition: 0.13s ease-in-out;
    box-sizing: border-box;
    font-family: 'Open Sans', 'Helvetica', 'Arial', sans-serif !important;
    font-weight: 600;
}


.super-button {
    font-weight: bold;
    font-size: 32px;
    margin: 0;
    cursor: pointer;
    padding: 10px 40px;

    --c: #fff;
    background: linear-gradient(90deg, #0000 33%, #fff5, #0000 67%) var(--_p,100%)/300% no-repeat, #E97F02;
    color: #0000;
    border: none;
    transform: perspective(500px) rotateY(calc(20deg*var(--_i,-1))) translate(0, -7px);
    text-shadow: calc(var(--_i,-1)* 0.08em) -.01em 0   var(--c), calc(var(--_i,-1)*-0.08em)  .01em 2px #0004;
    outline-offset: .1em;
    transition: 0.3s;
}

.super-button:hover,
.super-button:focus-visible {
    --_p: 0%;
    --_i: 1;
}

.super-button:active {
    text-shadow: none;
    color: var(--c);
    box-shadow: inset 0 0 9e9q #0005;
    transition: 0s;
}




.button-link {
    text-decoration: none !important;
}


.inset-button {
    all: unset;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    position: relative;
    border-radius: 999vw;
    background-color: rgba(0, 0, 0, 0.75);
    box-shadow: -0.15em -0.15em 0.15em -0.075em rgba(5, 5, 5, 0.25),
        0.0375em 0.0375em 0.0675em 0 rgba(5, 5, 5, 0.1);
    font-size: 28px;
    cursor: pointer;
    margin-right: 30px;
    transform: translate(0, -5px);
}

.inset-button::after {
    content: "";
    position: absolute;
    z-index: 0;
    width: calc(100% + 0.3em);
    height: calc(100% + 0.3em);
    top: -0.15em;
    left: -0.15em;
    border-radius: inherit;
    background: linear-gradient(-135deg,rgba(5, 5, 5, 0.5), transparent 20%, transparent 100%);
    filter: blur(0.0125em);
    opacity: 0.25;
    mix-blend-mode: multiply;
}

.inset-button .inset-button-outer {
    position: relative;
    z-index: 1;
    border-radius: inherit;
    transition: box-shadow 300ms ease;
    will-change: box-shadow;
    box-shadow: 0 0.05em 0.05em -0.01em rgba(5, 5, 5, 1),
        0 0.01em 0.01em -0.01em rgba(5, 5, 5, 0.5),
        0.15em 0.3em 0.1em -0.01em rgba(5, 5, 5, 0.25);
}

.inset-button:hover .inset-button-outer {
    box-shadow: 0 0 0 0 rgba(5, 5, 5, 1), 0 0 0 0 rgba(5, 5, 5, 0.5),
        0 0 0 0 rgba(5, 5, 5, 0.25);
}

.inset-button-inner {
    --inset: 0.035em;
    position: relative;
    z-index: 1;
    border-radius: inherit;
    padding: 0.8em 1.5em 1em 1.5em;
    background-image: linear-gradient(135deg, rgb(245 245 245), rgb(234 234 234));
    transition: box-shadow 300ms ease, clip-path 250ms ease, background-image 250ms ease, transform 250ms ease;
    will-change: box-shadow, clip-path, background-image, transform;
    overflow: clip;
    clip-path: inset(0 0 0 0 round 999vw);
    box-shadow:
        /* 1 */
        0 0 0 0 inset rgba(5, 5, 5, 0.1),
        /* 2 */
        -0.05em -0.05em 0.05em 0 inset rgba(5, 5, 5, 0.25),
        /* 3 */
        0 0 0 0 inset rgba(5, 5, 5, 0.1),
        /* 4 */
        0 0 0.05em 0.2em inset rgba(255, 255, 255, 0.25),
        /* 5 */
        0.025em 0.05em 0.1em 0 inset rgba(255, 255, 255, 1),
        /* 6 */
        0.12em 0.12em 0.12em inset rgba(255, 255, 255, 0.25),
        /* 7 */
        -0.075em -0.25em 0.25em 0.1em inset rgba(5, 5, 5, 0.25);
}

.inset-button:hover .inset-button-inner {
    clip-path: inset(clamp(1px, 0.0625em, 2px) clamp(1px, 0.0625em, 2px) clamp(1px, 0.0625em, 2px) clamp(1px, 0.0625em, 2px) round 999vw);
    box-shadow:
        /* 1 */
        0.1em 0.15em 0.05em 0 inset rgba(5, 5, 5, 0.75),
        /* 2 */
        -0.025em -0.03em 0.05em 0.025em inset rgba(5, 5, 5, 0.5),
        /* 3 */
        0.25em 0.25em 0.2em 0 inset rgba(5, 5, 5, 0.5),
        /* 4 */
        0 0 0.05em 0.5em inset rgba(255, 255, 255, 0.15),
        /* 5 */
        0 0 0 0 inset rgba(255, 255, 255, 1),
        /* 6 */
        0.12em 0.12em 0.12em inset rgba(255, 255, 255, 0.25),
        /* 7 */
        -0.075em -0.12em 0.2em 0.1em inset rgba(5, 5, 5, 0.25);
}

.inset-button .inset-button-inner span {
    position: relative;
    z-index: 4;
    font-family: 'Open Sans', 'Helvetica', 'Arial', sans-serif !important;
    font-weight: 600;
    color: rgba(0, 0, 0, 0);
    background-image: linear-gradient(135deg,rgba(25, 25, 25, 1),rgba(75, 75, 75, 1));
    -webkit-background-clip: text;
    background-clip: text;
    opacity: 0.8;
    transition: transform 250ms ease;
    display: block;
    will-change: transform;
    -webkit-user-select: none; 
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.inset-button:hover .inset-button-inner span {
    transform: scale(0.975);
}

.inset-button:active .inset-button-inner {
    transform: scale(0.975);
}

.image-with-shadow {
    border-radius: 24px;
    box-shadow: 0 0 100px 0 rgba(0, 0, 0, 0.15);
}


@media (max-width: 1000px) {
    img.title {
        width: 100%;
        height: auto;
        max-height: unset;
    }
}

@media (max-width: 840px) {
    img.title {
        width: 140%;
        margin-left: -20%;
    }
}


@media (max-width: 600px) {
    h1 {
        font-size: 24px;
        margin: 10px 0;
    }

    .story-title {
        margin: -35px auto;
    }

    .story-title p {
        font-size: 16px;
    }

    img.title {
        width: 160%;
        margin-left: -30%;
    }

    .image-with-shadow {
        border-radius: 10px;
    }

    .inset-button {
        font-size: 18px;
        margin-right: 10px;
        transform: translate(0, -8px);
    }

    .inset-button-inner {
        padding: 0.6em 1em 0.8em 1em;
    }

    .super-button {
        font-size: 18px;
        padding: 7px 25px;
    }
}